﻿using System.Windows;
using ThinkGeo.Core;

namespace ThinkGeoKmlTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void mapView_Loaded(object sender, RoutedEventArgs e)
        {
            // Set the Map Unit.
            mapView.MapUnit = GeographyUnit.Meter;

            // Add a base map overlay.
            var cloudVectorBaseMapOverlay = new ThinkGeoCloudRasterMapsOverlay("USlbIyO5uIMja2y0qoM21RRM6NBXUad4hjK3NBD6pD0~", "f6OJsvCDDzmccnevX55nL7nXpPDXXKANe5cN6czVjCH0s8jhpCH-2A~~", ThinkGeoCloudRasterMapsMapType.Light);
            mapView.Overlays.Add(cloudVectorBaseMapOverlay);

            // Add a KML layer
            var layer = new KmlFeatureLayer(@"AppData/kml_test.kml");
            layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyle.CreateSimpleAreaStyle(GeoColors.Blue);
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            layer.FeatureSource.ProjectionConverter = new ProjectionConverter(4326, 3857);

            layer.Open();
            mapView.CurrentExtent = layer.GetBoundingBox();

            LayerOverlay layerOverlay = new LayerOverlay();
            layerOverlay.Layers.Add(layer);
            mapView.Overlays.Add(layerOverlay);
            mapView.Refresh();
        }
    }
}